> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Unpublish an entry DELETE https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/entries/{entry_id}/published Reference: https://contentful.com/developers/docs/references/content-management-api/entries/unpublish-an-entry ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the space in form of a string - `environment_id` (string, required) — ID of the environment in form of a string - `entry_id` (string, required) — ID of the entry in form of a string ### Headers - `X-Contentful-Version` (string, optional) — The last version of the entry you are unpublishing ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "fields": { "body": { "en-US": "Bacon is healthy!" }, "title": { "en-US": "Hello, World!" } }, "metadata": { "tags": [ { "sys": { "id": "nyCampaign", "linkType": "Tag", "type": "Link" } } ] } } ``` **SDK Code** ```android Android // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); client .entries() .async() .fetchOne( "", new CMACallback() { @Override protected void onSuccess(CMAEntry entry) { // Now unpublish it. client .entries() .async() .unPublish( entry, new CMACallback() { @Override protected void onSuccess(CMAEntry result) { // Success! new AlertDialog.Builder(context) .setTitle("Contentful") .setMessage("Unpublishing of an entry was successful." + "\n\nResult: " + result) .show(); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not unpublish an entry." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not fetch that entry." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); ``` ```java Java // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); final CMAEntry entry = client .entries() .fetchOne(""); // Now unpublish it. client .entries() .unPublish(entry); ``` ```kotlin Kotlin // Create the Contentful client. val client = CMAClient.Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build() val entry = client .entries() .fetchOne("") // Now unpublish it. client .entries() .unPublish(entry) ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => space.getEnvironment('')) .then((environment) => environment.getEntry('')) .then((entry) => entry.unpublish()) .then((entry) => console.log(`Entry ${entry.sys.id} unpublished.`)) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const entry = await client.entry.get({ spaceId: '', environmentId: '', entryId: '', }); await client.entry.unpublish( { spaceId: '', environmentId: '', entryId: '', }, { ...entry } ); ``` ```php PHP $client = new \Contentful\Management\Client(''); $environment = $client->getEnvironmentProxy('', ''); $entry = $environment->getEntry(''); $entry->unpublish(); ``` ```ruby Ruby require 'contentful/management' client = Contentful::Management::Client.new('') entry = client.entries('', '').find('') entry.unpublish ``` ```python Python from contentful_management import Client client = Client('') entry = client.entries('', '').find('') entry.unpublish() ``` ```.net .NET // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulManagementClient(httpClient, "", ""); var verson = 6; await client.UnpublishEntry("", version); ```